TikTok · 内容详情

视频分析

传入视频 ID 或链接,返回近 14 天的播放、点赞、评论、收藏数,以及汇总和高频评论词。

POST/v1/tiktok/videoAnalytics

$0.0018 起

  • 每条详情记录$0.0018
  • 每条刷量检测$0.03
算上最低收费的每条
≈ $0.0075
1,000 条
≈ $7.50
每取一条最低
$0.0075

只能用充值余额一次返回,没有 cursor

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/tiktok/videoAnalytics" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"videos":["7694335322922044703"]}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "videoAnalytics",
      "videoId": "7694335322922044703",
      "playCount": 7886495,
      "likeCount": 736174,
      "commentCount": 13345,
      "collectCount": 42616,
      "daily": [
        {
          "date": "2026-10-08",
          "views": 4186858,
          "likes": 547390,
          "comments": 9775,
          "collects": 32268
        },
        {
          "date": "2026-10-09",
          "views": 391640,
          "likes": 32260,
          "comments": 608,
          "collects": 1781
        },
        {
          "date": "2026-10-10",
          "views": 190303,
          "likes": 10320,
          "comments": 258,
          "collects": 564
        }
      ],
      "summary": "This post received more likes per vie…",
      "commentKeywords": [
        {
          "keyword": "first comment",
          "examples": [
            "First Comment",
            "me after losing the first comment",
            "first comment this id"
          ]
        },
        {
          "keyword": "small creator",
          "examples": [
            "Support small creator",
            "helping a small creator",
            "I support small creator"
          ]
        },
        {
          "keyword": "support small",
          "examples": [
            "Support small creator",
            "I support small creator",
            "I support Small creators"
          ]
        }
      ]
    },
    {
      "type": "fakeViewScore",
      "videoId": "7694335322922044703",
      "fakeScore": 28.91,
      "confidence": "Minimal",
      "isSuspicious": false,
      "estimatedFakeViews": 1577299,
      "fakeViewPercentage": 20,
      "mainReason": "Statistical View Anomalies",
      "componentScores": {
        "engagement_score": 9.53,
        "distribution_score": 60,
        "consistency_score": 0,
        "creator_credibility_score": 3,
        "content_authenticity_score": 35.7,
        "follower_correlation_score": 30,
        "racing_mechanism_score": 0,
        "fan_growth_score": 55
      },
      "suspiciousFeatures": [
        "Critical: Account gaining 43531 follo…",
        "Suspicious: Low entropy in view distr…",
        "Suspicious: Reached 100000 followers …"
      ],
      "estimatedOrganicViews": 5606509,
      "trafficPool": "7th-Level Traffic Pool",
      "expectedTrafficPool": "6th-Level Traffic Pool",
      "creatorTrustScore": 97
    }
  ],
  "cursor": null,
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.015000",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 9

字段类型示例值
typestringvideoAnalytics
videoIdstring7694335322922044703
playCountnumber7886495
likeCountnumber736174
commentCountnumber13345
collectCountnumber42616
dailyarray[{"date":"2026-10-08","views":4186858,"likes":547390,"commen…
summarystringThis post received more likes per view than most other posts…
commentKeywordsarray[{"keyword":"first comment","examples":["First Comment","me …

参数 3

参数名类型必填说明示例
limitinteger否返回多少条记录,1 到 100。一次请求返回的条数不会超过这个数。5
includeFakeViewScoreboolean否同时对每个查到分析数据的视频做一次刷量检测,每个视频多一条记录。可选,默认不开;打开后每个结果另收一条刷量检测,每条 $0.03。true
videosarray是视频 ID(7694335322922044703)或完整视频链接(https://www.tiktok.com/@khaby.lame/video/7694335322922044703)。为空时使用示例视频。["7694335322922044703"]

翻页

这个接口一次请求就返回全部:要更多条就把 limit 调大(最多 100)。cursor 一直是 null。

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口每条单独取,每取一条的最低收费是 $0.0075。

  • 1 条:最多 $0.0075
  • 20 条:最多 $0.15
  • 100 条:最多 $0.75

上面几行只按最便宜的那种记录算。别的种类按各自的价格另算:刷量检测 $0.03(只在打开对应选项时才有)。

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「视频分析」要传哪些参数?

必填:videos。可选:includeFakeViewScore。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 1 条,要 100 条时一次请求取 100 页。

能接着往后取吗?

不能。这个接口一次请求就把结果全部返回,回答里的 cursor 是 null。

怎么收费?

每条 详情记录 $0.0018、刷量检测 $0.03。每页最低收费 $0.0075:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.75。可选参数 includeFakeViewScore 打开后另外按条收费。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。